[vectordb](../README.md) / [Exports](../modules.md) / AwsCredentials

# Interface: AwsCredentials

## Table of contents

### Properties

- [accessKeyId](AwsCredentials.md#accesskeyid)
- [secretKey](AwsCredentials.md#secretkey)
- [sessionToken](AwsCredentials.md#sessiontoken)

## Properties

### accessKeyId

• **accessKeyId**: `string`

#### Defined in

[index.ts:54](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L54)

___

### secretKey

• **secretKey**: `string`

#### Defined in

[index.ts:56](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L56)

___

### sessionToken

• `Optional` **sessionToken**: `string`

#### Defined in

[index.ts:58](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L58)
